Bug 187314 - Review Request: perl-Data-HexDump
Review Request: perl-Data-HexDump
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT perl-Authen-Radius
  Show dependency treegraph
 
Reported: 2006-03-29 17:26 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 10:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-03-29 17:26:27 EST
Spec Name or Url: http://home.bawue.net/~ixs/perl-Data-HexDump/perl-Data-HexDump.spec
SRPM Name or Url: http://home.bawue.net/~ixs/perl-Data-HexDump/perl-Data-HexDump-0.02-1.src.rpm
Description:
Dump in hexadecimal the content of a scalar. The result is returned in a
string. Each line of the result consists of the offset in the source in the
leftmost column of each line, followed by one or more columns of data from
the source in hexadecimal. The rightmost column of each line shows the
printable characters (all others are shown as single dots).
Comment 1 Paul Howarth 2006-03-30 06:40:45 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC5 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, subpackages, or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no completely duplicate files
- %clean section present and correct
- code, not context
- no large docs
- docs don't affect runtime
- no desktop file needed
- hexdump.pl appears to function correctly
- no scriptlets

Needswork:

- macro usage inconsistent:
  use $RPM_BUILD_ROOT or %{buildroot} but not both in the same spec

Suggestions:

- It is not necessary to generate and ship the COPYING and Artistic license
  texts; inclusion of license texts is only mandatory when upstream provide
  them.

- Inclusion of hexdump as %doc is redundant since it's basically the same thing
  as %{_bindir}/hexdump.pl
Comment 2 Andreas Thienemann 2006-03-30 07:32:57 EST
(In reply to comment #1)

> - macro usage inconsistent:
>   use $RPM_BUILD_ROOT or %{buildroot} but not both in the same spec
fixed
 
> - It is not necessary to generate and ship the COPYING and Artistic license
>   texts; inclusion of license texts is only mandatory when upstream provide
>   them.
removed
 
> - Inclusion of hexdump as %doc is redundant since it's basically the same thing
>   as %{_bindir}/hexdump.pl
removed



Spec Name or Url:
http://home.bawue.net/~ixs/perl-Data-HexDump/perl-Data-HexDump.spec
SRPM Name or Url:
http://home.bawue.net/~ixs/perl-Data-HexDump/perl-Data-HexDump-0.02-2.src.rpm
Comment 3 Paul Howarth 2006-03-30 07:37:02 EST
perl-Data-HexDump-0.02-2 Approved.
Comment 4 Andreas Thienemann 2006-03-30 10:24:00 EST
Thx for the review. Package is in cvs.

Note You need to log in before you can comment on or make changes to this bug.